attribute vec3 gl_Vertex;
varying vec3 pos;

uniform sampler2D textureSampler0;
uniform sampler2D textureSampler1;
uniform sampler2D textureSampler2;
uniform sampler2D textureSampler3;

void main() {
	
	pos = gl_Vertex;
	
	gl_TexCoord[0] = gl_MultiTexCoord0;
	
	gl_FrontColor = gl_Color;
	
	gl_Position = ftransform();
	
}



